Subject: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>

From: Bad Blue Bull <[email-masked]>
Date: Fri, 27 Jul 2018 14:03:13 +0300

Okay, it's even more interesting, shr renders page correctly and in the end it re-indents first row of blockquoted table!

put this stuff in the buffer called test.html:

<html>

<head>

<title>test</title>

</head>

<body>

<blockquote>

<table>

<tr>

<td>111</td>

<td>222</td>

</tr>

<tr>

<td>333</td>

<td>444</td>

</tr>

<tr>

<td>555</td>

<td>666</td>

</tr>

</table>

</blockquote>

<table>

<tr>

<td>111</td>

<td>222</td>

</tr>

<tr>

<td>333</td>

<td>444</td>

</tr>

<tr>

<td>555</td>

<td>666</td>

</tr>

</table>

<p> some text </p>

</body>

</html>

open shr.el, add line marked wiht "<<" in shr-insert-table:

(dotimes (_ (max height 1))

(shr-indent)

(read-string ">"); << insert this line

(insert shr-table-vertical-line "\n"))

eval-buffer, then eval (shr-render-buffer "test.html") and you'll see it renders stuff properly and in and in the end it indents first row of blockquoted table again.

27.07.2018, 13:24, "Xu Chunyang" <[email-masked]>:

Brett Gilio writes:

Xu Chunyang writes:

For example,

<blockquote>
<table>
<tr>
<td>111</td>
<td>222</td>
</tr>
<tr>
<td>333</td>
<td>444</td>
</tr>
<tr>
<td>555</td>
<td>666</td>
</tr>
</table>
</blockquote>

EWW renders it as the following

111 222 333 444 555 666

What I expected is (i.e., aligned)

111 222 333 444 555 666

I do not mean to "works on my machine", but it works on my machine.

Do you have any specific configuration for EWW in your .emacs file?

Yes, but I can reproduce from Emacs -Q

~ $ cat test.html
<blockquote>
<table>
<tr>
<td>111</td>
<td>222</td>
</tr>
<tr>
<td>333</td>
<td>444</td>
</tr>
<tr>
<td>555</td>
<td>666</td>
</tr>
</table>
</blockquote>
~ $ emacs -Q -nw --eval '(eww-open-file "test.html")'
~ $ emacs --version | head -1
GNU Emacs 25.3.1
~ $

The following is the result of EWW

https://preview.ibb.co/dainUT/Screen_Shot_2018_07_27_at_6_18_03_PM.png